<?php
  
/*
------------------------------------------------
AlphaCMS - универсальный движок для вашего сайта
E-mail администрации проекта: adm@alpha-cms.ru
Официальный сайт поддержки: alpha-cms.ru
Руководитель проекта: adm (ID 1)
------------------------------------------------
*/

FOREACH (ARRAY('config', 'connect', 'users') AS $connect) {
  
  INCLUDE_ONCE ("../system/connections/global/$connect.php");
  
}

HTML::TITLE('Установка программы');

REQUIRE (ROOT.'/install/plugins/header.php');

LIST ($php_ver1, $php_ver2, $php_ver3) = EXPLODE('.', STRTOK(STRTOK(PHPVERSION(),'-'),' '), 3);

$php_p = $php_ver1.".".$php_ver2;

IF ($php_p == '7.2'){
  
  $get = DIRECT::F_GET('get').'.php';
  
  IF (DIRECT::E_FILE(ROOT.'/install/plugins/step_'.$get) == TRUE){
    
    REQUIRE (ROOT.'/install/plugins/step_'.$get);
  
  }ELSE{
    
    REQUIRE (ROOT.'/install/plugins/step_1.php');
  
  }
  
}ELSE{
  
  ECHO "<div class='list'>";
  
  ECHO "<center><b><font size='+1'>".LG('Для начала установки требуется версия PHP 7.2')."</font></b></center><br />";
  
  ECHO "<font color='red'>".LG('Текущая версия').": ".$php_p."</font><br /><br />";
  
  ECHO "".LG('Необходимо в настройках на стороне хоста сменить версию PHP на 7.2')."<br /><br />";
  
  ECHO "</div>";
  
}

REQUIRE (ROOT.'/install/plugins/footer.php'); 

?>